#ifndef DATAREADER_H
#define DATAREADER_H

#include <QObject>
#include <QFile>
#include <QVector>

#include "datastructures.h"

/**
 * @brief Třída k načtení naměřených dat ze souboru.
 *
 * Každá rotace skeneru (mračno bodů) je uložena v poli data_t. Třída pouze načítá měření, neprovádí preprocesing.
 */
class DataReader : public QObject
{
    Q_OBJECT

public:
    DataReader(QString path, QObject *parent = 0);
    data_t *data; /**< Pole k ukládání měření (jedno měření = jedna rotace). */
    int dataCount; /**< Počet všech měření. */

private slots:
    void readLine(QString preLine, QString line);
    void countLine(QString line);
    void saveDateFromString(QString str, int index);

private:
    QFile *file;
    int index;
    int measureIndex;
    QVector<int> measureCount; /**< V tomto vektoru jsou uloženy počty vzorků v každém měření (nejsou stejné). */
};

#endif // DATAREADER_H
