// protocol enums for RPdev protocol
// generated by genCPPprotocolEnums.py.py

#ifndef __RPDEV_PROT_H__
#define __RPDEV_PROT_H__

namespace rpdev_server {
/**
   * @brief Příkazy ke komunikaci přes UDP se serverem.
   */
  enum Command {
    establishConnection = 0x0,
    deviceList = 0x1,
    heartbeat = 0x2,
    heartbeatStopped = 0xfe,
    connectionRefused = 0xff
  };

}  // namespacerpdev_server

namespace dev_gpio {
  enum Command {
    PinMode = 0x1,
    PinValue = 0x2
  };

  enum Modes {
    X = 0x0,
    In = 0x1,
    Out = 0x2
  };

}  // namespacedev_gpio

namespace dev_rplidar {
/**
   * @brief Příkazy ke komunikaci s LIDAREM přes server.
   */
  enum Command {
    Connect = 0x0,
    StartScan = 0x1,
    Stop = 0x2,
    Grab = 0x3,
    StateInfo = 0x4
  };

  /**
   * @brief Stavy, v kterých se může LIDAR nacházet.
   */
  enum State {
    Waiting = 0x0,
    Connected = 0x1,
    Scanning = 0x2,
    Grabbing = 0x3,
    Error = 0x4
  };

}  // namespacedev_rplidar

#endif
